Skip to main content
POST
/
api
/
v1
/
workspaces
/
agents
/
{agent_id}
/
pause
Pause Hired Agent
curl --request POST \
  --url https://api.example.com/api/v1/workspaces/agents/{agent_id}/pause \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "agent_type": "<string>",
  "display_name": "<string>",
  "status": "<string>",
  "tier": "<string>",
  "stripe_subscription_id": "<string>",
  "config": {},
  "hired_at": "2023-11-07T05:31:56Z",
  "paused_at": "2023-11-07T05:31:56Z",
  "cancelled_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "persona_name": "<string>",
  "workspace": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "hired_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "status": "<string>",
    "settings": {},
    "metrics_cache": {},
    "last_active_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "team_type": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
user_id
string<uuid>
required
agent_type
string
required
display_name
string | null
required
status
string
required
tier
string
required
stripe_subscription_id
string | null
required
config
Config · object
required
hired_at
string<date-time>
required
paused_at
string<date-time> | null
required
cancelled_at
string<date-time> | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
persona_name
string | null
workspace
WorkspaceResponse · object
team_id
string<uuid> | null
team_type
string | null